Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpSessionEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.http.HttpSessionEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HttpSessionBindingEvent

public class HttpSessionEvent
extends java.util.EventObject

This is the class representing event notifications for changes to sessions within a web application.

Since:
  v 2.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HttpSessionEvent(HttpSession source)` Construct a session event from the given source.

Method Summary
`HttpSession` | `getSession()` Return the session that changed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpSessionEvent

    public HttpSessionEvent(HttpSession source)

  Construct a session event from the given source.

Method Detail

### getSession

    public HttpSession getSession()

  Return the session that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.